<template>
  <nav class="footerNavigation">
    <div class="footerNavigation-title">
      {{ title }}
    </div>
    <AppAccordion :accordion-mobile="true">
      <div slot="panel-title">
        {{ title }}
      </div>
      <template #content>
        <ul
          class="footerNavigation-list"
          :class="{ '_catalogs': title === 'Каталоги' }">
          <li
            v-for="(item, index) in sections"
            :key="index"
            class="footerNavigation-item"
            :class="{ '_categories': item.href === '/categories' }">
            <flink
              :domain="item.domain"
              :href="item.href"
              class="footerNavigation-link">
              {{ item.name }}
            </flink>
          </li>
          <li class="footerNavigation-text-item mobilshow">
            Каталоги оригиналов и заменителей доступны в полной версии сайта
          </li>
        </ul>
      </template>
    </AppAccordion>
  </nav>
</template>

<script>
import AppAccordion from '~/components/redesign/app-accordion';

export default {
  name: 'FooterNavigation',
  components: {
    AppAccordion,
  },
  props: {
    title: {
      type: String,
      default: '',
    },
    list: {
      type: Array,
      required: true,
    },
  },
  computed: {
    isIndexSection() {
      return this.$route && this.$route.path && this.$route.path.startsWith('/') && this.$route.path.length === 1;
    },
    sections() {
      // TODO: Workaround для раздела Автоконсъерж
      return this.isIndexSection
        ? this.list
        : this.list.filter(entry => entry.name !== 'Автоконсъерж');
    },
  },
};
</script>

<style lang="postcss">
  .footerNavigation {
    display: block;
    width: 100%;

    &-title {
      display: block;
      padding-bottom: 1rem;
      font-size: 0.875rem;
      font-weight: var(--font-weight-bold);
    }

    &-list {
      display: block;
      margin: 0;
      padding: 0;
      list-style: none;
    }

    &-item {
      display: block;
      padding-bottom: 0.625rem;
    }

    &-text-item {
      padding-bottom: 0.625rem;
      font-size: 0.875rem;
      display: none;
    }

    &-link {
      display: block;
      font-size: 0.875rem;
      line-height: 1.2;
      color: var(--footer-link-color);
      text-decoration: none;
      transition: color 0.1s var(--transition-easeOutQuad);

      &:hover, &:active, &:focus {
        color: var(--footer-active-color);
      }
    }

    @media screen and (min-width: 981px) {
      &-list {
        &._catalogs {
          .footerNavigation-item._categories {
            white-space: nowrap;
          }
        }
      }
    }
    @media screen and (max-width: 980px) {
      &-list {
        padding-bottom: 1rem;
        &._catalogs {
          .footerNavigation-text-item {
            display: block;
          }
          .footerNavigation-item:not(._categories) {
            display: none;
          }
        }
      }

      &-title {
        display: none;
      }
    }
  }
</style>
